System.Web 2.0.0.0 System.Diagnostics.TraceListener

The attribute applied to this class has the following property value: . The does not affect desktop applications (which are typically started by double-clicking an icon, typing a command, or entering a URL in a browser). For more information, see the class or SQL Server Programming and Host Protection Attributes.

The class forwards trace messages that are written to the log to ASP.NET Web page output channels. You can enable trace forwarding by adding a object to your Web.config file as a listener in the trace Element (ASP.NET Settings Schema) subsection of the <system.diagnostics> Element section. You can also add a to the listeners collection programmatically. Commonly, this is done by adding a to the collection during application startup, using the Application_Start method in the Global.asax file.

Provides a listener that directs messages to ASP.NET Web page outputs.

- Constructor
  2.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  2.0.0.0
  System.Void `` `` `` `` ``

  The method writes the event message to the object using as the category and as the message.

  Writes an event message to a Web page or to the ASP.NET trace viewer using the specified system and event data.

  A that contains the current process and thread IDs and stack trace information. A category name used to organize the output. One of the values. A numeric identifier for the event. A message to write.
- Method
  2.0.0.0
  System.Void `` `` `` `` `` `System.ParamArray`

  The method calls the method, passing and and using the property to format the string as the message to write to the trace viewer or Web page.

  Writes a localized event message to a Web page or to the ASP.NET trace viewer using the specified system and event data.

  A that contains the current process and thread IDs and stack trace information. A category name used to organize the output. One of the values. A numeric identifier for the event. A format string that contains zero or more format items, which correspond to objects in . An array of zero or more objects to format.
- Method
  2.0.0.0
  System.Void ``

  The method does not write to the object output, even if it is enabled in the configuration file.

  Writes a message to a Web page or to the ASP.NET trace viewer.

  The message to write.
- Method
  2.0.0.0
  System.Void `` ``

  The method does not write to the object output, even if it is enabled in the configuration file.

  Writes a category name and a message to a Web page or to the ASP.NET trace viewer.

  The message to write. A category name used to organize the output.
- Method
  2.0.0.0
  System.Void ``

  The method does not write to the object output, even if it is enabled in the configuration file.

  Writes a message to a Web page or to the ASP.NET trace viewer.

  The message to write.
- Method
  2.0.0.0
  System.Void `` ``

  The method does not write to the object output, even if it is enabled in the configuration file.

  Writes a category name and a message to a Web page or to the ASP.NET trace viewer.

  The message to write. A category name used to organize the output.